#pragma once

class OGLrendrer;

class SplashScreen
{
public:
	SplashScreen(char *file, unsigned int timerTicks_);
	virtual ~SplashScreen(void);
	void draw(OGLrendrer *ogl);

	void resetTimer();
	bool hasTimerExpired();
	void tick();
private:
	char *fileName;
	unsigned int texture;
	unsigned int timerTicks;
	unsigned int ticksElapsed;
};

